
package Logic;

class TrueState extends AState
{
	/** @SBGen Singleton Variable   */
	private static TrueState singleton;	/** @SBGen Constructor   */
	private TrueState()
	{
	}

	/**
	 * @param host 
	 * @param algo 
	 * @param param 
	 * @return 
	 */
	Object execute(Logical host, ILogicAlgo algo, Object param)
	{
		return (algo.trueCase(host, param)); // NYI 
	}

	/**
	 * @return 
	 * @SBGen Singleton 
	 */
	public static TrueState Singleton()
	{
		// SBgen: Ensure single instance
		if (singleton == null) 
			singleton = new TrueState();
		return(singleton);
		// SBgen: End singleton
	}
}

